Page MenuHomePhabricator

MobileDiff doesn't parse edit summary
Closed, ResolvedPublic

Description

Diffs like https://en.m.wikipedia.org/wiki/Special:MobileDiff/665979469 shows a lot of messy wikitext, e.g.:

Reverting possible vandalism by [[Special:Contributions/..|..]] to version by ... False positive? [[User:ClueBot NG/FalsePositives|Report it]]. Thanks, [[User:ClueBot NG|ClueBot NG]]. (2266825) (Bot)

Note that edit summaries have a narrow restricted subset of allowed syntaxes. And desktop diffs do render them.

The mobile page history page also doesn't render the links, but at least it doesn't display syntax either. The mobile history page seems to use the parsed html and then strips html for plain text:
https://en.m.wikipedia.org/wiki/Special:History/Wikipedia

That would be preferable to unexpectedly exposing wikitext, though ideally it would just be rendered. As far as I know the API already exposes this alongside the raw edit summary.

Note that there is one place where Mobile-Web does render the edit summary. Namely, the oldid pages:
https://en.m.wikipedia.org/w/index.php?title=Wikipedia&oldid=665979469.

Event Timeline

Krinkle created this task.Jun 9 2015, 12:34 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a project: MobileFrontend.
Krinkle added subscribers: Krinkle, Aklapper.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJun 9 2015, 12:34 AM

I think it should render wikilinks, because they often contain vital information for editors. E.g. in the above example "False positive? Report it" will likely cause a lot of frustration in case there is no way to find out how to actually report such a false positive to the operator of the anti-vandalism bot. In many other cases, editors use the field to point each other to discussion venues, help pages, policy pages etc. that are hard to find when going by the name alone, especially for less experienced users.

Florian claimed this task.Jun 13 2015, 5:40 PM
Florian triaged this task as Normal priority.

Change 218022 had a related patch set uploaded (by Florianschmidtwelzow):
Render edit summaries on Special:MobileDiff

https://gerrit.wikimedia.org/r/218022

Change 218022 merged by jenkins-bot:
Render edit summaries on Special:MobileDiff

https://gerrit.wikimedia.org/r/218022

Jdlrobson closed this task as Resolved.Jun 18 2015, 10:22 PM
Jdlrobson added a subscriber: Jdlrobson.